// This file is part of KeY - Integrated Deductive Software Design 
// Copyright (C) 2001-2003 Universitaet Karlsruhe, Germany
//                         and Chalmers University of Technology, Sweden          
//
// The KeY system is protected by the GNU General Public License. 
// See LICENSE.TXT for details.
//

// This file is part of the COMPOST library, (c) 1999 Universitaet Karlsruhe.

package de.uka.ilkd.key.java.abstraction;

/**
   A program model element representing array types.
 */
public class ArrayType implements Type {

    private final Type basetype;

    /**
       Creates a new array type for the given base type, organized by
       the given program model info.
       @param basetype the base type of the array.
     */
    public ArrayType(Type basetype) {
	this.basetype = basetype;
    }

    public Type getBaseType() {
	return basetype;
    }

    public String getFullName() {
	return "["+basetype.getFullName();
    }
    
    public String getName() {
	return getFullName();
    }
}
