// This file is part of KeY - Integrated Deductive Software Design 
// Copyright (C) 2001-2003 Universitaet Karlsruhe, Germany
//                         and Chalmers University of Technology, Sweden          
//
// The KeY system is protected by the GNU General Public License. 
// See LICENSE.TXT for details.
//

/* Generated by Together */

package de.uka.ilkd.key.logic.op;

import de.uka.ilkd.key.logic.sort.*;
import de.uka.ilkd.key.logic.Name;
/**
 * This class represents skolem symbols which are a special class of function symbols
 * which are used instead of free variables in a proof tree. The creation of skolemsymbols
 * during a proof has to be controled an is done by a skolem deliverer.
 */

public class SkolemFunction extends Function {
    
    /** characteristic string occuring in the names of skolemsymbols */
    public static final String SKOLEM_LABEL = "!";

    /**
     * @param name String with name(prefix) of the skolemfunction
     * @param sort the Sort of the skolemfunction (result type)
     */
    public SkolemFunction(Name name, Sort sort, Sort[] argSorts) {
	super(name,sort,argSorts);
    }

    /**
     * @param name String with name(prefix) of the skolemfunction
     * @param sort the Sort of the skolemfunction (result type)
     */
    public SkolemFunction(Name name, Sort sort, ArrayOfSort argSorts) {
	super(name,sort,argSorts);
    }
    
    

    
}
