// This file is part of KeY - Integrated Deductive Software Design 
// Copyright (C) 2001-2003 Universitaet Karlsruhe, Germany
//                         and Chalmers University of Technology, Sweden          
//
// The KeY system is protected by the GNU General Public License. 
// See LICENSE.TXT for details.
//

package de.uka.ilkd.key.logic.sort;

import de.uka.ilkd.key.gui.SequentPrinter;
import de.uka.ilkd.key.logic.Name;

public abstract class AbstractNonCollectionSort extends de.uka.ilkd.key.logic.sort.AbstractSort 
    implements de.uka.ilkd.key.logic.sort.NonCollectionSort {


    protected de.uka.ilkd.key.logic.sort.CollectionSort setSort;

    protected de.uka.ilkd.key.logic.sort.CollectionSort bagSort;

    protected de.uka.ilkd.key.logic.sort.CollectionSort sequenceSort;
    

    /** creates a Sort (with a new equality symbol for this sort) */
    public AbstractNonCollectionSort(Name name) {
	super(name);
	setSort=CollectionSort.createSetSort(this);
	bagSort=CollectionSort.createBagSort(this);
	sequenceSort=CollectionSort.createSequenceSort(this);
    }


    public de.uka.ilkd.key.logic.sort.CollectionSort getSetSort() {
	return setSort;
    }

    public de.uka.ilkd.key.logic.sort.CollectionSort getBagSort() {
	return bagSort;
    }

    public de.uka.ilkd.key.logic.sort.CollectionSort getSequenceSort() {
	return sequenceSort;
    }


}
