// This file is part of KeY - Integrated Deductive Software Design 
// Copyright (C) 2001-2003 Universitaet Karlsruhe, Germany
//                         and Chalmers University of Technology, Sweden          
//
// The KeY system is protected by the GNU General Public License. 
// See LICENSE.TXT for details.
//


package de.uka.ilkd.key.ocl.tudresden;

import tudresden.ocl.check.types.*;
import tudresden.ocl.check.OclTypeException;

public class TJBehaviouralFeature extends TJFeature {

  String name;
  Type[] params;
  Type ret;

  public TJBehaviouralFeature(String n, Type r) {
    name=n;
    ret=r;
    params=new Type[0];
  }

  public TJBehaviouralFeature(String n, Type r, Type p) {
    name=n;
    ret=r;
    params=new Type[1];
    params[0]=p;
  }

  public TJBehaviouralFeature(String n, Type r, Type[] ps) {
    name=n;
    ret=r;
    params=ps;
  }

    // constructor
  public TJBehaviouralFeature(String n, Type[] ps) {
    name=n;
    params=ps;
  }

  public String getName() {
    return name;
  }

  public Type getType() {
    return ret;
  }

  public boolean isQuery() {
    return true;
  }

  public Type[] getParameters() {
    return params;
  }
}
