#!/bin/sh
#
# This file is part of KeY - Integrated Deductive Software Design 
# Copyright (C) 2001 Universitaet Karlsruhe, Germany
#
# The KeY system is protected by the GNU General 
# Public License. See LICENSE.TXT for details.
#! /bin/sh
useshell='/bin/sh'
if test -e '/bin/bash' ; then
   useshell='/bin/bash'
   read_options='-e'
else
   read_options=''
fi
#!$useshell
antlr=''
recoder=''
tudresden=''
xerces=''
xml=''
junit=''
javacc=''
mgtp=''
cup=''

#the Makefile passes over the binary path 
binarypath=$1
##start
echo "Welcome."
echo "ABSOLUTE PATHS required."
echo "Please enter Together home-directory:"
read $read_options togetherhome
echo "Please enter directory to place KeY configuration files in:"
read $read_options localtogether


echo "Which version of Together do you use? Please enter "
echo "50: for Together 5.0x"
echo "55: for Together 5.5"
echo "60: for Together 6.0"
until false; do
read $read_options togetherversion
    if test $togetherversion = "50"; then 
	break;
    elif test $togetherversion = "55"; then
	break;
    elif test $togetherversion = "60"; then
	break;
    fi
    echo "Unsupported Togetherversion."
    echo "Please reenter:"   
done;
echo " ----  External Library Configuration ---- "
echo "Please enter the directory where to find"
echo "(a) antlr.jar: "
until false; do
    read $read_options antlr
    if test -e $antlr/antlr.jar; then 
	break;
    fi
    echo "antlr.jar not found in  "$antlr"."   
    echo "Please reenter:"   
done;

echo "(b) recoder.jar: "
until false; do
read $read_options recoder
    if test -e $recoder/recoder.jar; then 
	break;
    fi
    echo "recoder.jar not found in  "$recoder"."
    echo "Please reenter:"   
done;

echo "(c) dresden-ocl-demo.jar: "
until false; do
read $read_options tudresden
    if test -e $tudresden/dresden-ocl-demo.jar; then 
	break;
    fi
    echo "dresden-ocl-demo.jar not found in  "$tudresden"."   
    echo "Please reenter:"   
done;

echo "(d) xerces-1_4_4.jar (Version 1.4.3 or later): "   
until false; do
read $read_options xerces
    if test -e $xerces/xerces-1_4_4.jar; then 
	break;
    fi
    echo "xerces.jar not found in  "$xerces"."   
    echo "Please reenter:"   
done;
echo "(e) xml.jar: "   
until false; do
read $read_options xml
    if test -e $xml/xml.jar; then 
	break;
    fi
    echo "xml.jar not found in  "$xml"."   
    echo "Please reenter:"   
done;
echo "(f) junit.jar: "   
until false; do
read $read_options junit
    if test -e $junit/junit.jar; then 
	break;
    fi
    echo "junit.jar not found in  "$junit"."   
    echo "Please reenter:"   
done;
echo "(g) JavaCC.zip (usually in javaccx.x/bin/lib/): "   
until false; do
read $read_options javacc
    if test -e $javacc/JavaCC.zip; then 
	break;
    fi
    echo "JavaCC.zip not found in  "$javacc"."   
    echo "Please reenter:"   
done;

echo "(f) mgtp.jar: "
until false; do
read $read_options mgtp
if test -e $mgtp/mgtp.jar; then
	break;
    fi
    echo "mgtp.jar not found in  "$mgtp"."   
    echo "Please reenter:"   
done;
echo "(g) cup.jar: "
until false; do
read $read_options cup
if test -e $cup/cup.jar; then
	break;
    fi
    echo "cup.jar not found in  "$cup"."   
    echo "Please reenter:"   
done;
echo "(h) Grammatical Framework binary path [Press Return to skip]: "
until false; do
read $read_options gf
if test -e $gf/gf; then
	break;
    fi
if test -z $gf; then break;
    fi
    echo "Grammatical Framework binary not found in  "$gf"."   
    echo "Please reenter:"   
done;



echo [Create config files]
classpathcommon=$antlr"/antlr.jar:"$recoder/"recoder.jar:"$tudresden"/dresden-ocl-demo.jar:"$xerces"/xerces-1_4_4.jar:"$mgtp/mgtp.jar":"$cup"/cup.jar"
classpathdev=$javacc"/JavaCC.zip:"$junit"/junit.jar:"$togetherhome"/lib/openapi.jar:"$togetherhome"/lib/jgl.zip:"$togetherhome"/lib/together.jar:"$togetherhome"/modules/:"
`dirname $0`/createConfig $classpathcommon \
		$localtogether \
		$togetherhome \
		$binarypath \
		$classpathdev > config.mk

java -cp $binarypath de.uka.ilkd.key.util.make.Config config.mk dev $togetherversion
chmod u+x install_dev.key $gf/gf
chmod u+x ./runTests
chmod u+x ./runProver
chmod u+x ./runJava
echo [Begin installation]
./install_dev.key
rm -f install_dev.key
rm -f miscConfigExtension
