#!/bin/sh
#
# This file is part of KeY - Integrated Deductive Software Design 
# Copyright (C) 2001 Universitaet Karlsruhe, Germany
#
# The KeY system is protected by the GNU General 
# Public License. See LICENSE.TXT for details.
#! /bin/sh
useshell='/bin/sh'
if test -e '/bin/bash' ; then
   useshell='/bin/bash'
   read_options='-e'
else
   read_options=''
fi
#!$useshell
#the Makefile passes over the binary path 
binarypath=$1
# locations we know
librarypath="/home/projekt/ext_class"
togetherhome=~togetherj/vers6.0/linux/
antlr="${librarypath}/antlr.jar"
recoder="${librarypath}/recoder.jar"
tudresden="${librarypath}/dresden-ocl-demo.jar"
xerces="${librarypath}/xerces-1_4_4.jar:${librarypath}/xml.jar"
junit="${librarypath}/junit.jar"
javacc="${librarypath}/JavaCC.zip"
mgtp="${librarypath}/mgtp.jar"
cup="${librarypath}/cup.jar"
gf="${librarypath}/gf"

##start

echo "Welcome."
echo "ABSOLUTE PATHS required."
echo "Please enter directory to place KeY configuration files in:"
read $read_options localtogether
echo [Create config files]
classpathdev=$javacc":"$junit":"$togetherhome"/lib/openapi.jar:"$togetherhome"/lib/jgl.zip:"$togetherhome"/lib/together.jar:"$togetherhome"/modules/:"$binarypath
classpathcommon=$antlr":"$recoder":"$tudresden":"$xerces":"$mgtp":"$cup
`dirname $0`/createConfig $classpathcommon \
		$localtogether \
		$togetherhome \
		$binarypath \
		$classpathdev > config.mk

java -cp $binarypath de.uka.ilkd.key.util.make.Config config.mk dev 60 $gf
chmod u+x install_dev.key
echo [Begin installation]
./install_dev.key
rm -f install_dev.key
rm -f miscConfigExtension
